main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('contact/', views.contact, name='contact'),
    path('addmatkul/', views.addmatkul, name='addmatkul'),
    path('daftarmatkul/', views.daftarmatkul, name='daftarmatkul'),
    path('matkulcontent/<int:id>/', views.matkulcontent, name='matkulcontent'),
    path('daftarmatkul/delete/<int:id>/', views.deletematkul, name='deletematkul'),
    path('stories/', views.stories, name='stories'),
    path('storyfive/', views.storyfive, name='storyfive'),
]

ppwstory/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('storyone/', include('storyone.urls')),
    path('storysix/', include('story6.urls')),
    path('storyseven/', include('story7.urls')),
    path('storyeight/', include('story8.urls')),
    path('', include('story9.urls')),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.story6, name='story6'),
    path('peepform/<int:id>/', views.peepform, name='peepform'),
]

story7/urls.py
from django.urls import path

from . import views

app_name = 'story7'

urlpatterns = [
    path('', views.story7, name='story7'),
]

story8/urls.py
from django.urls import path

from . import views

app_name = 'story8'

urlpatterns = [
    path('', views.story8, name='story8'),
    path('data/', views.data, name='data'),
]

storyone/urls.py
from django.urls import path

from . import views

app_name = 'storyone'

urlpatterns = [
    path('', views.storyone, name='storyone'),
]

main/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date

# Create your models here.

class Matkul(models.Model):
    YEAR = (('gasal 2020/2021', 'Gasal 2020/2021'),
            ('genap 2019/2020', 'Genap 2019/2020'),
            ('gasal 2019/2020', 'Gasal 2019/2020'),
            ('genap 2018/2019', 'Genap 2018/2019'),
            ('gasal 2018/2019', 'Gasal 2018/2019')
            )
    nama = models.CharField(max_length=100, blank=False, null=False)
    dosen = models.CharField(max_length=100, blank=False, null=False)
    sks = models.IntegerField(blank=False, null=False)
    desc = models.TextField(blank=True, null=True)
    year = models.CharField(max_length=15, choices=YEAR, blank=True, null=True)
    ruang = models.CharField(max_length=10, blank=False, null=False)

    def _str_(self):
        return self.nama

class Post(models.Model):
    matkul = models.ForeignKey(Matkul, on_delete = models.CASCADE)
    content = models.CharField(max_length=200)
    published_date = models.DateTimeField(default=timezone.now)

main/forms.py
from django import forms

from .models import Matkul

class MatkulForm(forms.ModelForm):
    class Meta:
        model = Matkul
        fields = [
            'nama',
            'dosen',
            'sks',
            'desc',
            'year',
            'ruang'
        ]
        widgets = {
            'nama': forms.TextInput(attrs={'class': 'form-control'}),
            'dosen': forms.TextInput(attrs={'class': 'form-control'}),
            'sks': forms.NumberInput(attrs={'class': 'form-control'}),
            'desc': forms.Textarea(attrs={'class': 'form-control'}),
            'year': forms.Select(attrs={'class': 'form-control'}),
            'ruang': forms.TextInput(attrs={'class': 'form-control'}),
        }

main/views.py
from django.shortcuts import render, redirect, get_object_or_404
from django.http import HttpResponseRedirect
from .forms import MatkulForm
from .models import Matkul, Post
from django.contrib.auth.decorators import login_required
response = {}

def home(request):
    return render(request, 'main/home.html')

def storyfive(request):
    return render(request, 'main/storyfive.html')

def contact(request):
    return render(request, 'main/contact.html')

def addmatkul(request):
    form  = MatkulForm(request.POST or None)
    if form.is_valid():
        form.save()
        form = MatkulForm()
    return render(request, 'main/addmatkul.html', {'form': form})

def daftarmatkul(request):
    matkuls = Matkul.objects.all()
    response['matkuls'] = matkuls
    html = 'main/daftarmatkul.html'
    print(response)
    return render(request, html, response)

def matkulcontent(request, id):
    obj = Matkul.objects.get(id= id)
    context = {
        "matkul": obj
    }
    return render(request, 'main/matkulcontent.html', context)

def deletematkul(request, id=None):
    obj = get_object_or_404(Matkul, id=id)
    obj.delete()
    return redirect('main:daftarmatkul')


@login_required
def stories(request):
    return render(request, 'main/stories.html')

main/templates/main/addmatkul.html
{% extends "base.html" %} {% load static %} {% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<title>Add Matkul</title>
<style>
    body {
        background-color: #000000;
    }
    
    #addtitle {
        border-top-width: 50px;
    }
</style>
{% endblock meta %} {% block content %}

<div class="blockage" style="color: #000000; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="blockage" style="color: #000000; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="row justify-content-center">
    <p class="reched" id="addtitle">Daftarkan Matkul</p>
</div>
<div class="row justify-content-center" style="width: 100%; height: 100%; top: 200px !important;">
    <div class="form-group " style="width: 40%; height: 50%; color: #D1644C; font-family: DM Mono;">
        <form method='POST'>
            {% csrf_token %} {{ form.as_p }}
            <input type='submit' value='Save' style="background-color: #FDF7E4;" />
        </form>
    </div>
</div>
{% endblock content %}

main/templates/main/contact.html
{% extends "base.html" %} {% load static %} {% block meta %}
<title>Stay in touch</title>
<style>
    body {
        background-color: #D1644C;
    }
</style>
{% endblock meta %} {% block content %}
<!--- End Record Section -->
<div class="container-fluid contactcont">
    <img src="{% static 'img/toprint.png' %}" id="ribbons">
    <a href="https://twitter.com/en_nnnn">
        <img src="{% static 'img/twt logo.png' %}" id="twt">
    </a>
    <a href="https://www.linkedin.com/">
        <img src="{% static 'img/Inlogo (1).png' %}" id="linked">
    </a>
    <a href="https://www.instagram.com/assyifa.rdn/">
        <img src="{% static 'img/Instagram logo.png' %}" id="ig">
    </a>
    <img src="{% static 'img/contact.png' %}" id="contacted">
    <a href="assyifa.raudina7@gmail.com" id="email">assyifa. raudina7 @gmail. com
    </a>
</div>

<style>
    .navbar {
        color: #000000 !important;
        font-family: DM Serif Display;
        font-size: 18px;
        position: fixed;
    }
    
    #contact {
        display: none
    }
    
    #hmbutton {
        left: 50px;
        top: 30px;
    }
    
    #st1button {
        left: 50px;
        top: 89%;
    }
</style>

<!--- Script Source Files -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js " integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj " crossorigin="anonymous "></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js " integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN " crossorigin="anonymous "></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js " integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV " crossorigin="anonymous "></script>
<!--- End of Script Source Files -->
{% endblock content %}

main/templates/main/daftarmatkul.html
{% extends "base.html" %} {% load static %} {% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<title>Daftar Matkul</title>
<style>
    body {
        background-color: #FDF7E4;
    }
    
    .navbar {
        color: #D1644C !important;
        font-family: DM Serif Display;
        font-size: 18px;
        position: fixed;
    }
</style>
{% endblock meta %} {% block content %}
<div class="blockage" style="color: #FDF7E4; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="blockage" style="color: #FDF7E4; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="row justify-content-center" style="height: 100%;">
    <div class="row">
        <a style="color: #D1644C;">Daftar Matkul</a>
    </div>
</div>
{% if matkuls %} {% for matkul in matkuls %}
<div class="row justify-content-center">
    <div class="col-3">

    </div>
    <div class="col-5">
        <div class="row justify-content-center" style="margin: auto; margin-top:5px; width: 50%; background-color: #D1644C;  border-radius: 25px;">
            <a class="reched" href="{% url 'main:matkulcontent' matkul.id %}" style="color: #FDF7E4 !important;">
                {{ matkul.nama }}
            </a>
        </div>
    </div>
    <div class="col-1">
        <div class="row justify-content-center" style="margin: auto; margin-top:5px; width: 50px; background-color: #D1644C;  border-radius: 50%; left: -300px;">
            <a class="reched" href="{% url 'main:deletematkul' id=matkul.id %}" style="color: #FDF7E4 !important;">
                -
            </a>
        </div>
    </div>
    <div class="col-3">

    </div>
</div>



{% endfor %} {% endif %} {% endblock content %}

main/templates/main/home.html
{% extends "base.html" %} {% load static %} {% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<title>Assyifa Raudina</title>
<style>
    body {
        background-color: #FDF7E4;
    }
</style>
{% endblock meta %} {% block content %}
<div class="container-fluid" style="width: 100%; height: 100%;">
    <div class="row justify-content-center" id="homesect">
        <div class="container" id="marqsect">
            <div class="marquee">
                <div class="marqueeone">
                    <a href="" style="font-size:6.8vw;">SKETCH  SKETCH</a>&nbsp;&nbsp;&nbsp;
                </div>
                <div class="marqueetwo">
                    <a href="contact.html" style="font-size:6.8vw;">SKETCH  SKETCH</a>&nbsp;&nbsp;&nbsp;
                </div>
                <div class="marqueethree">
                    <a href="contact.html" style="font-size:6.8vw;">SKETCH  SKETCH</a>&nbsp;&nbsp;&nbsp;
                </div>
                <div class="marqueefour">
                    <a href="contact.html" style="font-size:6.8vw;">SKETCH  SKETCH</a>&nbsp;&nbsp;&nbsp;
                </div>
            </div>
            <div class="marqueesecond">
                <div class="marqueeone">
                    <a href="#" style="font-size:6.8vw;">PHOTOGRAPHY </a>&nbsp;&nbsp;&nbsp;
                </div>
                <div class="marqueetwo">
                    <a href="#" style="font-size:6.8vw;">PHOTOGRAPHY </a>&nbsp;&nbsp;&nbsp;
                </div>
                <div class="marqueethree">
                    <a href="#" style="font-size:6.8vw;">PHOTOGRAPHY </a>&nbsp;&nbsp;&nbsp;
                </div>
                <div class="marqueefour">
                    <a href="#" style="font-size:6.8vw;">PHOTOGRAPHY </a>&nbsp;&nbsp;&nbsp;
                </div>
            </div>
        </div>
        <div class="row justify-content-center" id="mainsect">
            <div class="col-2" style="width: 100%;">
                <div id="leftrect"></div>
            </div>
            <div class="col-8">
                <span class="dmserif" id="npm">19
                    06
                    39
                    91
                    52</span>
                <span class="dmserif" id="csui">C S U I - 2019</span>
                <div class="container" id="mainpart" style="width: 100%; height: 100%;">
                    <div class="row justify-content-center">
                        <img src="{% static 'img/2020-09-24 04.04.jpg' %}" width="180px" height="200px" class="img-responsive center-block d-block mx-auto" id="photo">
                        <div class="circles">
                            <div id="c1"></div>
                            <div id="c2"></div>
                        </div>
                        <div class="line"></div>
                        <p class="scroll">scroll to discover</p>
                    </div>

                </div>
            </div>
            <div class="col-2" style="width: 100%;">
                <div id="rightrect"></div>
            </div>
        </div>
    </div>
</div>
<!--- End Home Section -->



<!--- Start Desc Section -->
<div class="container-fluid" id="dset">
    <div class="row justify-content-center" id="descsect" style="height: 100%; width: 100%; top: 0;">
        <div class="row" style="width: 100%; height: 100%; top: 0; margin: auto;">
            <div class="col-7" id="ldesc">
                <div class="container-fluid" style="width: 100%; height: 100%;">
                    <div id="moon">
                        <div id="m1"></div>
                        <div id="m2"></div>
                        <img src="{% static 'img/About me.png' %}" id="boutme">
                    </div>
                </div>
            </div>
            <div class="col-5" id="rdesc">
                <div class="row">
                    <h1 id="name">- Assyifa Raudina -</h1>
                </div>
                <div class="row">
                    <h2 id="born">B. 2002</h2>
                </div>
                <div class="row">
                    <p class="minidesc"> a student currently majoring in Information System in Universitas Indonesia. Has an interest in visual art and arts in general and casually draws as a hobby.</p>
                </div>
                <div class="row">
                    <h3 id="download">download cv</h3>
                    <img src="{% static 'img/download button.png' %}" id="dbutton">
                </div>
            </div>
        </div>
    </div>
</div>

<!--- End Desc Section -->



<!--- Start Record Section -->
<div class="container-fluid" id="recsect">
    <img src="{% static 'img/Rectangle 15.png' %}" id="blackbg">
    <img src="{% static 'img/writings.png' %}" id="writing">
    <div class="cans">
        <div class="container">
            <div class="row">
                <div class="col-xl-5 col-lg-5 col-md-12 col-sm-12 pull-left">
                    <div class="row">
                        <h5 class="reched">Educational Background</h5>
                    </div>
                    <div class="row">
                        <p style="font-size: 5px; color: #000000">blahblahlblah</p>
                    </div>
                    <div class="row">
                        <p class="rec">Sistem Informasi, Fakultas Ilmu Komputer, Universitas Indonesia, -now </p>
                    </div>
                    <div class="row">
                        <p class="rec">SMA Negeri 10 Padang, 2016 </p>
                    </div>
                    <div class="row">
                        <p class="rec">SMPIT Adzkia Padang, 2013 </p>
                    </div>
                    <div class="row">
                        <p class="rec">SDIT Adzkia Padang, 2007 </p>
                    </div>
                    <div class="row">
                        <p style="font-size: 5px; color: #000000">blahblahlblah</p>
                    </div>
                    <div class="row">
                        <div class="liny"></div>
                    </div>
                    <div class="row">
                        <p style="font-size: 5px; color: #000000">blahblahlblah</p>
                    </div>
                    <div class="row">
                        <h6 class="reched">Awards and Achievements</h6>
                    </div>
                    <div class="row">
                        <p style="font-size: 5px; color: #000000">blahblahlblah</p>
                    </div>
                    <div class="row">
                        <p class="rec" id="award">Mural Newbie Cup Fasilkom, 2019 </p>
                    </div>
                    <div class="row">
                        <p class="rec" id="award">English Comp, Smanten Literacy Week, 2018 </p>
                    </div>
                    <div class="row">
                        <p class="rec" id="award">English Olympiad, STKIP PGRI, Sumatra Barat, 2017 </p>
                    </div>
                    <div class="row">
                        <p class="rec" id="award">Illustration Contest, Smapsic, Sumatra Barat 2017</p>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-2"></div>
                <div class="col-xl-5 col-lg-5 col-md-12 col-sm-12">
                    <div class="row" style="height: 25%;">

                    </div>
                    <div class="row">
                        <h7 class="reched">Organizations and Committees</h7>
                    </div>
                    <div class="row">
                        <p style="font-size: 5px; color: #000000">blahblahlblah</p>
                    </div>
                    <div class="row">
                        <p class="rec">Dept.Muslimah Center Forum Ukhuwah & Kajian Islam, 2020-2021 </p>
                    </div>
                    <div class="row">
                        <p class="rec">Dokumentasi & Kreatif Studi Islam Awal Kuliah Next Generation, 2020 </p>
                    </div>
                    <div class="row">
                        <p class="rec">Media Kreatif & Desain Pemira, 2019 </p>
                    </div>
                    <div class="row">
                        <p class="rec">DK KGTK Ikatan Minang Antar Mahasiswa, 2019 </p>
                    </div>
                    <div class="row">
                        <p class="rec">Humas Gelar Karya SBF Senbud, 2019</p>
                    </div>
                    <div class="row">
                        <p class="rec">Moderator ASEAN youth seminar “Surviving the 4th Industrial Revolution”,Padang, 2019 </p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="linebottom"></div>
            </div>
        </div>
    </div>
</div>
<!--- End Record Section -->
<!--- Script Source Files -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
<!--- End of Script Source Files -->
{% endblock content %}

main/templates/main/matkulcontent.html
{% extends "base.html" %} {% load static %} {% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<title>{{ matkul.nama }}</title>
<style>
    body {
        background-color: #FDF7E4;
    }
</style>
{% endblock meta %} {% block content %}
<div class="blockage" style="color: #FDF7E4; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="blockage" style="color: #FDF7E4; height: 80px;">BLOCKAGEHAHAHA</div>
<div class="container">
    <a style="top: 100px;">{{ matkul.nama }}</a>
    <p class="rec" style="color: #FDF7E4;">Dosen Pengajar : {{ matkul.dosen }}</p>
    <table style="top: 50px;">
        <p class="rec" style="color: black;">Dosen Pengajar : {{ matkul.dosen }}</p>
        <p class="rec" style="color: black;">Jumlah SKS : {{ matkul.sks }}</p>
        <p class="rec" style="color: black;">Tahun Ajaran : {{ matkul.year }}</p>
        <p class="rec" style="color: black;">Ruang Kelas : {{ matkul.ruang }}</p>
        <p class="rec" style="color: black;">Deskripsi : </p>
        <p class="rec" style="color: black;">{{ matkul.desc }}</p>
    </table>
</div>

{% endblock content %}

main/templates/main/stories.html
{% extends "base.html" %} {% load static %} {% block meta %}
<title>Stories</title>
<style>
    body {
        background-color: #000000;
    }
</style>
{% endblock meta %} {% block content %}
<div class="row justify-content-center" style="height: 100%;">
    <div class="row">
        <a style="color: #FDF7E4 !important;">Daftar story</a>
    </div>
</div>
<div class="row storyrow">
    <div class="card bg-primary storycard">
        <div class="card-body storycardbody">
            <a class="card-title storytitle" href="{% url 'storyone:storyone' %}" role="button"> STORY 1</a>
        </div>
    </div>
    <div class="card bg-primary storycard">
        <div class="card-body storycardbody">
            <a class="card-title storytitle" href="{% url 'main:storyfive' %}" role="button"> STORY 5</a>
        </div>
    </div>
    <div class="card bg-primary storycard">
        <div class="card-body storycardbody">
            <a class="card-title storytitle" href="{% url 'story6:story6' %}" role="button"> STORY 6</a>
        </div>
    </div>
    <div class="card bg-primary storycard">
        <div class="card-body storycardbody">
            <a class="card-title storytitle" href="{% url 'story7:story7' %}" role="button"> STORY 7</a>
        </div>
    </div>
    <div class="card bg-primary storycard">
        <div class="card-body storycardbody">
            <a class="card-title storytitle" href="{% url 'story8:story8' %}" role="button"> STORY 8</a>
        </div>
    </div>
</div>


{% endblock content %}

main/templates/main/storyfive.html
{% extends "base.html" %} {% load static %} {% block meta %}
<title>Stories</title>
<style>
    body {
        background-color: #000000;
    }
</style>
{% endblock meta %} {% block content %}
<div class="row justify-content-center" style="height: 100%;">
    <div class="row">
        <a style="color: #FDF7E4 !important;">Daftar story</a>
    </div>
</div>
<div class="row storyrow">
    <div class="card bg-primary storycard">
        <div class="card-body storycardbody">
            <a class="card-title storytitle" href="{% url 'main:addmatkul' %}" role="button">ADD MATKUL</a>
        </div>
    </div>
    <div class="card bg-primary storycard">
        <div class="card-body storycardbody">
            <a class="card-title storytitle" href="{% url 'main:daftarmatkul' %}" role="button">DAFTAR MATKUL</a>
        </div>
    </div>
</div>


{% endblock content %}